Intermittent TEST-UNEXPECTED-OK | /webdriver/contexts.py | expected TIMEOUT

RESOLVED INCOMPLETE

Status

Testing
web-platform-tests
RESOLVED INCOMPLETE
2 years ago
10 months ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure})

Version 3
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox51 unaffected, firefox52 wontfix, firefox53 affected)

Details

status-firefox51: --- → unaffected
status-firefox52: --- → affected
status-firefox53: --- → affected
Flags: needinfo?(james)
Flags: needinfo?(james) → needinfo?(ato)
I’ve seen this a couple of times on various try builds in the past week.  It looks like /builds has wrong permissions for downloading geckodriver from tooltool.  Is this a permissions issue with the VM/container?

Who knows about permissions on the image used by try slaves?
Flags: needinfo?(ato) → needinfo?(dustin)
[task 2016-11-08T15:25:39.639659Z] 15:25:39     INFO -  WARNING - Impossible to add file geckodriver-v0.11.1-linux64.tar.gz to cache folder /builds/tooltool_cache
[task 2016-11-08T15:25:39.640032Z] 15:25:39    ERROR -  Traceback (most recent call last):
[task 2016-11-08T15:25:39.641166Z] 15:25:39     INFO -    File "/home/worker/checkouts/gecko/testing/docker/recipes/tooltool.py", line 671, in fetch_files
[task 2016-11-08T15:25:39.641651Z] 15:25:39     INFO -      os.makedirs(cache_folder, 0700)
[task 2016-11-08T15:25:39.642382Z] 15:25:39     INFO -    File "/usr/lib/python2.7/os.py", line 150, in makedirs
[task 2016-11-08T15:25:39.643106Z] 15:25:39     INFO -      makedirs(head, mode)
[task 2016-11-08T15:25:39.644157Z] 15:25:39     INFO -    File "/usr/lib/python2.7/os.py", line 157, in makedirs
[task 2016-11-08T15:25:39.644720Z] 15:25:39     INFO -      mkdir(name, mode)
[task 2016-11-08T15:25:39.645473Z] 15:25:39 INFO - OSError: [Errno 13] Permission denied: '/builds'
There is no `/builds` directory -- I suspect that location got accidentally hard-coded somewhere.  That would be the thing to fix.
Flags: needinfo?(dustin)
Mass wontfix for bugs affecting firefox 52.
status-firefox52: affected → wontfix

Comment 5

a year ago
2 failures in 892 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 2

Platform breakdown:
* linux64-ccov: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316018&startday=2017-06-19&endday=2017-06-25&tree=all

Comment 6

11 months ago
2 failures in 908 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-release: 2

Platform breakdown:
* linux64-nightly: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316018&startday=2017-08-21&endday=2017-08-27&tree=all
You need to log in before you can comment on or make changes to this bug.